hi
i am getting this error on feature setting pages "Strict warning: Only variables should be passed by reference in features_override_module_component_overrides() (line 145 of C:\wamp\www\matakastage\sites\all\modules\features_override\features_override.export.inc)."
i am using wamp 2.2 with php 5.4.3 mysql 5.5.24 and apache 2.4.2 with drupal 7.16
feature override error

Comments

kasperg’s picture

Here is a quick patch to fix this issue for 2.x-dev. It should apply to 2.0-beta1 too.

kasperg’s picture

Version: 7.x-2.0-beta1 » 7.x-2.x-dev
Status: Active » Needs review
FileSize
1.04 KB

And now as a proper patch.

mpotter’s picture

Status: Needs review » Reviewed & tested by the community
logaritmisk’s picture

Status: Reviewed & tested by the community » Needs review
FileSize
1.04 KB

Missing ; on line 150.

logaritmisk’s picture

My prev. patch faild to apply with drush make, so I created a new patch.

dasjo’s picture

Status: Needs review » Reviewed & tested by the community

#5 works as expected

Moinax’s picture

I confirm #5 works as expected, should be merged in dev and beta version.

Andrew_Mallis’s picture

#5 works as expected for us also.

mpotter’s picture

Status: Reviewed & tested by the community » Fixed

Committed to f8ef5e1.

Status: Fixed » Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.